### Method

# Gtk Assistantget_pages

deprecated: 4.10

#### Declaration [src]

    GListModel*
    gtk_assistant_get_pages (
      GtkAssistant* assistant
    )

#### Description [src]

Gets a list model of the assistant pages.

Deprecated since: 4.10

This widget will be removed in GTK 5

Gets property | `Gtk.Assistant:pages`

#### Return value

Type: A list model of `GtkAssistantPage`

A list model of the pages.

The caller of the method takes ownership of the data, and is responsible for freeing it.